<% cur_index = 1 %>
<div class="linkst">
	<div class="inbox">
		<ul>
			<li><%= link_to "Index", :controller => 'forum' %>&nbsp;</li>
			<li>&raquo;&nbsp; <%=h @post.topic.forum.forum_name %></li>
<% if @post.topic and @post.topic.subject != '' %>
			<li>&raquo;&nbsp; <%=h @post.topic.subject %></li>
<% end %>
		</ul>
	</div>
</div>

<!--
<div id="posterror" class="block">
	<h2><span>Post errors</span></h2>
	<div class="box">
		<div class="inbox">
			<p>Post errors info</p>
			<ul>
			xxx
			</ul>
		</div>
	</div>
</div>
-->

<% if params[:preview] -%>
<div id="postpreview" class="blockpost">
	<h2><span>Post preview</span></h2>
	<div class="box">
		<div class="inbox">
			<div class="postright">
				<div class="postmsg">
					<%= @post.html_message %>
				</div>
			</div>
		</div>
	</div>
</div>
<% end -%>

<div class="blockform">
	<h2><span><%= params[:fid] ? 'Post new topic' : (params[:pid] ? 'Edit post' : 'Post a reply') %></span></h2>
	<div class="box">
<%
if @post.new_record?
  form_url = url_for :action => 'create', :fid => params[:fid], :id => params[:id]
else
  form_url = url_for :action => 'update', :pid => params[:pid]
end
%>
		<form id="post" method="post" action="<%= form_url %>" onsubmit="this.submit.disabled=true;if(process_form(this)){return true;}else{this.submit.disabled=false;return false;}">
			<div class="inform">
				<fieldset>
					<legend>Write your message and submit</legend>
					<div class="infldset txtarea">
<% if @post.topic.new_record? %>
						<label><strong>Subject</strong><br /><input class="longinput" type="text" name="topic[subject]" value="<%= @post.topic.subject %>" size="80" maxlength="70" tabindex="<%= cur_user = cur_index + 1 %>" /><br /></label>
<% end -%>
						<label><strong>Message</strong><br />
						<textarea name="post[message]" rows="20" cols="95" tabindex="<%= cur_index = cur_index + 1 %>"><%=h @post.message %></textarea><br /></label>
						<ul class="bblinks">
							<li><a href="<%= url_for :controller => 'help', :action => 'forum', :anchor => 'bbcode' %>" onclick="window.open(this.href); return false;">BBCode</a>: <%= Settings.message_bbcode == true ? 'on' : 'off' %></li>
							<li><a href="<%= url_for :controller => 'help', :action => 'forum', :anchor => 'img' %>" onclick="window.open(this.href); return false;">img tag</a>: <%= Settings.message_img_tag == true ? 'on' : 'off' %></li>
							<li><a href="<%= url_for :controller => 'help', :action => 'forum', :anchor => 'smilies' %>" onclick="window.open(this.href); return false;">Smilies</a>: <%= Settings.smilies == true ? 'on' : 'off' %></li>
						</ul>
					</div>
				</fieldset>
			</div>
			<div class="inform">
				<fieldset>
					<legend>Options</legend>
					<div class="infldset">
						<div class="rbox">
<% if Settings.smilies %>
	<label><input type="checkbox" name="post[hide_smilies]" value="1" tabindex="<%= cur_index = cur_index + 1 %>" <%= ' checked="checked"' if @post.hide_smilies %> />Hide smilies<br/></label>
<% end %>
						</div>
					</div>
				</fieldset>
			</div>
			<p><input type="submit" name="save" value="Submit" tabindex="<%= cur_index = cur_index + 1 %>" accesskey="s" /><input type="submit" name="preview" value="Preview" tabindex="<%= cur_index = cur_index + 1 %>" accesskey="p" /><a href="javascript:history.go(-1)">Go back</a></p>
		</form>
	</div>
</div>

<% if @post.topic and @post.topic.posts and @post.topic.posts.length > 0 -%>
<div id="postreview" class="blockpost">
	<h2><span>Topic review</span></h2>
<% for o in @post.topic.posts -%>
	<div class="box roweven">
		<div class="inbox">
			<div class="postleft">
				<dl>
					<dt><strong><%= o.poster %></strong></dt>
					<dd><%= o.created_at %></dd>
				</dl>
			</div>
			<div class="postright">
				<div class="postmsg">
					<%= o.html_message %>
				</div>
			</div>
			<div class="clearer"></div>
		</div>
	</div>
<% end -%>
</div>
<% end -%>
